package com.dhcc.finance.util;

import java.util.Calendar;
import java.util.Date;

public class LastAndBeginYear {

	    public static String DEFAULT_FORMAT = "yyyy-MM-dd";
	    /**
	     * 获取某年第一天日期
	     * @param year
	     * @return Date
	     *@author huangpeng
	     *@date 2019年3月27日 下午1:57:38
	     *@修改日志：
	     */
	    public static Date getYearFirst(int year){
	        Calendar calendar = Calendar.getInstance();
	        calendar.clear();
	        calendar.set(Calendar.YEAR, year);
	        Date currYearFirst = calendar.getTime();
	        return currYearFirst;
	    }
	     
	    /**
	     * 获取某年最后一天日期
	     * @param year
	     * @return Date
	     *@author huangpeng
	     *@date 2019年3月27日 下午1:57:28
	     *@修改日志：
	     */
	    public static Date getYearLast(int year){
	        Calendar calendar = Calendar.getInstance();
	        calendar.clear();
	        calendar.set(Calendar.YEAR, year);
	        calendar.roll(Calendar.DAY_OF_YEAR, -1);
	        Date currYearLast = calendar.getTime();
	         
	        return currYearLast;
	    }
	 /**
	  * 得到某年某月有多少天
	  * @param year
	  * @param month
	  * @return int
	  *@author huangpeng
	  *@date 2019年3月27日 下午1:57:04
	  *@修改日志：
	  */
	    public static int getDayOfMonth(int year,int month){
			Calendar c = Calendar.getInstance();
			c.set(year, month, 0); //输入类型为int类型
			return c.get(Calendar.DAY_OF_MONTH);
		}
	}

